Returns required token approvals and user-wallet transaction calldata for createSession without creating a database row.
Returns required token approvals and user-wallet transaction calldata for createSession without creating a database row.
bearer In: header
application/json
TypeScript Definitions
Use the request body type in TypeScript.
application/json
application/json
curl -X POST "https://example.com/swap-sessions/request" \ -H "Content-Type: application/json" \ -d '{ "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8", "forestBudget": "string", "projectBudget": "string", "expiresAt": 1 }'{ "transaction": { "to": "string", "data": "string", "value": "string", "chainId": 0 }, "approvals": [ { "tokenAddress": "string", "spender": "string", "amount": "string" } ], "activeSession": { "id": "string", "onChainSessionId": "string", "chainId": 0, "status": "active", "snapshot": { "routerAddress": "string", "forestBudget": "string", "projectBudget": "string", "expiresAt": "string", "createTxHash": "string", "createdAt": "string" }, "createdAt": "string", "updatedAt": "string" }}uuidFOREST spend budget as a base-unit integer string, or null for unlimited
Project token spend budget as a base-unit integer string, or null for unlimited
Expiration timestamp as Unix seconds
1 <= value